Xoscope package lacks pulseaudio-esound-compat as dependency

Bug #993867 reported by Angelo Compagnucci on 2012-05-03
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
xoscope (Ubuntu)
Undecided
Angelo Compagnucci
Precise
Undecided
Angelo Compagnucci

Bug Description

pulseaudio-esound-compat package is required to make Xoscope working out-of-the-box, without launching it with padsp.
pulseaudio-esound-compat should be a dependency of Xoscope.

Changed in xoscope (Ubuntu):
assignee: nobody → Angelo Compagnucci (angeloc)
Angelo Compagnucci (angeloc) wrote :

[Impact]
The bug prevents correct execution of Xoscope if package pulseaudio-esound-compat is not manually installed

[Development Fix]
Added pulseaudio-esound-compat to depends in debian/control

[Stable Fix]
Added pulseaudio-esound-compat to depends in debian/control, patch attached

[Test Case]
1) Open Xoscope when pulseaudio-esound-compat is NOT installed
2) Xoscope shows the error: "Error opening ESoundD Socket operation on non socket"
3) Install package pulseaudio-esound-compat
4) kill and restart pulseaudio to reload modules with pulseaudio -k
5) Open Xoscope
6) Xoscope is now working

[Regression Potential]
No regression potential because the new dependency installs a package normally distributed and user installable.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xoscope - 2.0-3.1ubuntu3

---------------
xoscope (2.0-3.1ubuntu3) quantal; urgency=low

  * Update depends to include pulseaudio-esound-compat. (LP: #993867)
 -- Angelo Compagnucci <email address hidden> Mon, 21 May 2012 08:28:33 +0200

Changed in xoscope (Ubuntu):
status: New → Fix Released
Martin Pitt (pitti) wrote :

Precise fix sponsored as well.

Changed in xoscope (Ubuntu Precise):
status: New → Fix Committed

Hello Angelo, or anyone else affected,

Accepted xoscope into precise-proposed. The package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed

Verified the package in precise with:

1) apt-get install xoscope
2) apt says:
The following NEW packages will be installed:
  pulseaudio-esound-compat xoscope

So bug it's fixed and works, verification done.

2012/5/23 Launchpad Bug Tracker <email address hidden>

> ** Branch linked: lp:ubuntu/precise-proposed/xoscope
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/993867
>
> Title:
> Xoscope package lacks pulseaudio-esound-compat as dependency
>
> Status in “xoscope” package in Ubuntu:
> Fix Released
> Status in “xoscope” source package in Precise:
> Fix Committed
>
> Bug description:
> pulseaudio-esound-compat package is required to make Xoscope working
> out-of-the-box, without launching it with padsp.
> pulseaudio-esound-compat should be a dependency of Xoscope.
>
> To manage notifications about this bug go to:
>
> https://bugs.launchpad.net/ubuntu/+source/xoscope/+bug/993867/+subscriptions
>

--
Profile: http://it.linkedin.com/in/compagnucciangelo

Changed in xoscope (Ubuntu Precise):
assignee: nobody → Angelo Compagnucci (angeloc)
tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package xoscope - 2.0-3.1ubuntu2.1

---------------
xoscope (2.0-3.1ubuntu2.1) precise-proposed; urgency=low

  * Update depends to include pulseaudio-esound-compat. (LP: #993867)
 -- Angelo Compagnucci <email address hidden> Mon, 21 May 2012 08:28:33 +0200

Changed in xoscope (Ubuntu Precise):
status: Fix Committed → Fix Released
Michael Mayer (michael-mayer) wrote :

I installed xoscope on ubuntu 14.4. and discovered that this bug is not fully fixed.

xoscope only works after a reboot or a manual restart of pulseaudio by issueing the command "pulseaudio -k".

suggested fix:
add a post-installation action to restart pulseaudio automatically. Add the file DEBIAN/postinst to the package:

#!/bin/sh
pulseaudio -k

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers